import QtQuick 2.0
import Sailfish.Silica 1.0

MouseArea {
    id: appItem

    property alias icon: appIcon.icon
    property alias text: appTitle.text

    property bool down: pressed && containsMouse
    property bool highlighted: down

    LauncherIcon {
        id: appIcon

        y: Math.round((parent.height - (height + appTitle.height)) / 2)
        anchors.horizontalCenter: parent.horizontalCenter
        opacity: appItem.enabled ? 1 : 0.2
        pressed: highlighted
        icon: launcher ? launcher.iconId : ""
    }

    Text {
        id: appTitle

        anchors {
            top: appIcon.bottom
            topMargin: Theme.paddingSmall
            left: parent.left
            right: parent.right
        }
        horizontalAlignment: Text.AlignHCenter
        opacity: appItem.enabled ? 1 : 0.2
        font.pixelSize: Theme.fontSizeTiny
        elide: Text.ElideRight
        color: highlighted ? Theme.highlightColor : Theme.primaryColor
        text: launcher ? launcher.title : ""
    }
}
