import QtQuick 2.0
import Sailfish.Silica 1.0

MouseArea {
    id: dialerButton

    property int key
    property string text
    property string secondaryText
    property bool down: pressed && containsMouse

    onClicked: dialer._buttonClicked(text)
    onPressed: dialer._buttonPressed(dialerButton, text)
    onReleased: dialer._buttonReleased(text)
    onCanceled: dialer._buttonCanceled(text)
    onEntered: dialer._buttonEntered()
    onExited: dialer._buttonExited()

    width: dialer.width / 3
    height: Theme.itemSizeLarge

    Label {
        id: numberLabel
        anchors {
            centerIn: parent
            verticalCenterOffset: dialer.vanityDialNumbersVisible ? -((vanityLabel.font.pixelSize)/2) : 0
        }
        font.pixelSize: Theme.fontSizeExtraLarge
        color: dialerButton.down ? dialer.pressedTextColor : dialer.textColor
        text: dialerButton.text
    }

    Label {
        id: vanityLabel
        anchors {
            horizontalCenter: parent.horizontalCenter
            top: numberLabel.bottom
            topMargin: -Theme.paddingSmall
        }
        font.pixelSize: Theme.fontSizeExtraSmall
        visible: dialer.vanityDialNumbersVisible
        opacity: 0.6

        color: dialerButton.down ? dialer.pressedTextColor : dialer.textColor
        text: dialerButton.secondaryText
    }
}
